Name: gpsim
Version: 0.22.0
Release: alt0.1

Summary: Software simulator for Microchip PIC microcontrollers

License: GPL
Group: Monitoring
Url: http://www.dattalo.com/gnupic/gpsim.html

Packager: Vitaly Lipatov <lav@altlinux.ru>

%set_verify_elf_method none

Source: http://dl.sf.net/gpsim/%name-%version.tar.bz2
Patch: %name-0.21.11.patch
Patch1: %name-gcc4.patch
Patch2: %name-as-needed.patch

# manually removed: gcc-g77 libgtk+extra2-devel libobjc-lf2 
# Automatically added by buildreq on Sun Jan 08 2006
BuildRequires: flex fontconfig-devel freetype2-devel gcc-c++ glib2-devel libatk-devel libcairo-devel libglitz-devel libgtk+2-devel libpango-devel libpng-devel libpopt-devel libreadline-devel libstdc++-devel pkg-config xorg-x11-devel

BuildRequires: libgtk+extra2-devel >= 2.1.1

%description
gpsim is a full-featured software simulator for Microchip PIC
microcontrollers distributed under the GNU General Public License

gpsim has been designed to be as accurate as possible. Accuracy includes the
entire PIC - from the core to the I/O pins and including ALL of the internal
peripherals. Thus it's possible to create stimuli and tie them to the I/O
pins and test the PIC the same PIC the same way you would in the real world.

%package devel
Summary: Header files, libraries and development documentation for %name
Group: Development/Libraries
Requires: %name = %version-%release

%description devel
This package contains the header files and development
documentation for %name. If you like to develop programs using %name,
you will need to install %name-devel.

%package -n lib%name
Summary: Main library for %name
Group: System/Libraries

%description -n lib%name
This package contains the library needed to run programs dynamically
linked with libgpsim

%package -n lib%name-devel
Summary: Headers for developing programs that will use libgpsim
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains the headers that programmers will need to develop
applications which will use libgpsim

%prep
%setup -q
#%patch
#%patch1
%patch2

%__cat <<EOF >%name.desktop
[Desktop Entry]
Name=gpsim
Comment=Software simulator for Microchip PIC microcontrollers
Exec=gpsim
Terminal=false
Type=Application
StartupNotify=true
Encoding=UTF-8
Categories=Application;Development;X-Red-Hat-Extra;
EOF

%build
%__autoreconf
%configure --disable-static --enable-gtk2
%make_build

%install
%makeinstall

# I really don't know why they are not stripped by rpmbuild
strip %buildroot%_bindir/%name %buildroot%_libdir/*.so.*

mkdir -p %buildroot%_menudir
cat << EOF > %buildroot%_menudir/%name
?package(%name):command="%_bindir/%name" \\
icon="development_section.png" needs="X11"\\
section="Applications/Development/Development environments" \\
title="Gpsim" longtitle="A software simulator for Microchip PIC microcontrollers" \\
accept_url="false"
EOF

%post
%post_ldconfig
%update_menus

%postun
%postun_ldconfig
%clean_menus

%files
%_bindir/%name
%_menudir/%name

%files -n lib%name
%doc AUTHORS ChangeLog NEWS README TODO
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so

%changelog
* Mon Dec 25 2006 Vitaly Lipatov <lav@altlinux.ru> 0.22.0-alt0.1
- new version 0.22.0 (with rpmrb script)
- update as-needed patch

* Sat Jul 22 2006 Vitaly Lipatov <lav@altlinux.ru> 0.21.11-alt0.2
- add patch from http://ktechlab.org/download/gpsim.php
- fix gcc4 & as-needed issues
- disable verify elf due crossreferencing in libs

* Sun Jan 08 2006 Vitaly Lipatov <lav@altlinux.ru> 0.21.11-alt0.1
- new version (gtk2 build enable)
- fix source

* Sun Sep 11 2005 Vitaly Lipatov <lav@altlinux.ru> 0.21.4-alt0.1
- new version (still gtk1 - gtk2 build is broken)

* Mon Feb 14 2005 Vitaly Lipatov <lav@altlinux.ru> 0.21.2-alt0.2
- add update menu, fix menu section

* Mon Jan 17 2005 Vitaly Lipatov <lav@altlinux.ru> 0.21.2-alt0.1
- first build for ALT Linux Sisyphus

* Mon Jan 10 2005 Dries Verachtert <dries@ulyssis.org> - 0.21.2-1 #2827
- Initial package.
